net.i2p.router.tunnel

## Class OutboundReceiver

- java.lang.Object
- - net.i2p.router.tunnel.OutboundReceiver

- All Implemented Interfaces:
    TunnelGateway.Receiver

       class OutboundReceiver
      extends Object
      implements TunnelGateway.Receiver

  Receive the outbound message after it has been preprocessed and encrypted, then forward it on to the first hop in the tunnel.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutboundReceiver(RouterContext ctx, TunnelCreatorConfig cfg)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `receiveEncrypted(byte[] encrypted)` Take the encrypted data and send it off to the next hop

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutboundReceiver

          public OutboundReceiver(RouterContext ctx,
                          TunnelCreatorConfig cfg)

  - ### Method Detail

    - #### receiveEncrypted

          public long receiveEncrypted(byte[] encrypted)

      Description copied from interface: `TunnelGateway.Receiver`
      Take the encrypted data and send it off to the next hop
      Specified by:
        `receiveEncrypted` in interface `TunnelGateway.Receiver`
      Returns:
        message ID it was sent in, or -1 if it had to be deferred